CARGO-LOCATE-PROJECT(1)

NAME
cargo-locate-project - Print a JSON representation of a Cargo.toml file's location

SYNOPSIS
cargo locate-project [options]

DESCRIPTION
This command will print a JSON object to stdout with the full path to the Cargo.toml manifest.

OPTIONS

--workspace
    Locate the Cargo.toml at the root of the workspace, as opposed to the current workspace member.

  Display Options

--message-format fmt
    The representation in which to print the project location. Valid values:

        • json (default): JSON object with the path under the key "root".

        • plain: Just the path.

-v, --verbose
    Use verbose output. May be specified twice for "very verbose" output which includes extra output such as dependency warnings and build script output. May also be specified with the term.verbose config value <https://doc.rust-lang.org/cargo/reference/config.html>.

-q, --quiet
    No output printed to stdout.

--color when
    Control when colored output is used. Valid values:

        • auto (default): Automatically detect if color support is available on the terminal.

        • always: Always display colors.

        • never: Never display colors.

    May also be specified with the term.color config value <https://doc.rust-lang.org/cargo/reference/config.html>.

  Manifest Options

--manifest-path path
    Path to the Cargo.toml file. By default, Cargo searches for the Cargo.toml file in the current directory or any parent directory.

  Common Options

+toolchain
    If Cargo has been installed with rustup, and the first argument to cargo begins with +, it will be interpreted as a rustup toolchain name (such as +stable or +nightly). See the rustup documentation <https://rust-lang.github.io/rustup/overrides.html> for more information about how toolchain overrides work.

-h, --help
    Prints help information.

-Z flag
    Unstable (nightly-only) flags to Cargo. Run cargo -Z help for details.

ENVIRONMENT
See the reference <https://doc.rust-lang.org/cargo/reference/environment-variables.html> for details on environment variables that Cargo reads.

EXIT STATUS

    • 0: Cargo succeeded.

    • 101: Cargo failed to complete.

EXAMPLES

    1. Display the path to the manifest based on the current directory:

        cargo locate-project

SEE ALSO
cargo(1), cargo-metadata(1)